+++
title = "Things that Should and Could Exist"
description = "and a few that do"
+++

first, some things which do exist, and are quite lovely:

- universal AC/DC converters
- universal cellphone battery charger

they're game changers.

for the power adapter: i had a LCD sitting here that wouldn't turn on for 6 months.
was it the power adapter? bad caps inside the monitor? something non-repairable?
sadly, i had no compatible DC adapters on hand with which to test the first possibility.
and i didn't want to buy a new adapter only to find out that wasn't the problem and now i've got _two_ paperweights to deal with.
enter the universal AC/DC converter: hopefully it finds permanent use powering something,
but if nothing else, it's a debugging tool for every other electronic device as it fails.

for the battery charger: my phone doesn't quite get me through a full day out of the house, but it _does_ have a removable battery.
that part's surely useful, but how am i supposed to use it: charge one full battery in it overnight, then swap that out as a spare and charge the main one while i'm guzzling coffee? buy a secondary phone that exists only to keep the second battery charged? no dummy: other things besides phones can charge phone batteries.

## Things that should exist

### Battery swaps w/o power interrupts
kinda lame i have to power down the phone before swapping its battery.
why not a two-cell (wired in parallel) battery, where swapping is a two step process that doesn't interrupt power delivery (i.e. swap the first cell, then the second)?
or if that's hard because it requires a separate SKU for every cellphone, something like the [[TOMU]] but for power?
that is, a tiny battery that lives in your USB-C port, solely to maintain power during battery swaps.
i know USB-C male-plug batteries exist, but i'm uncomfortable keeping one always plugged in like that due to the mechanical stress: inline form-factor is critical.

i guess in the end all i'm asking is for a return to the "4 AAA's wired in parallel" days. hm.

[TOMU]: https://www.crowdsupply.com/sutajio-kosagi/tomu

### Programmable haptic input
i use [SXMO] as the UI on my smartphone, because i'm weird.
but i LOVE its approach to input. my phone has a power button, and two rocker buttons (traditionally used to control volume).
when the screen is off, i have these mapped like so:

- rocker-up = volume up
- rocker-down = volume down
- power, if pressed once = screen on
- power, if pressed twice = pause/resume media player

that last one is SO HANDY.
i listen to audiobooks when i cook, but the kitchen/breakfast bar is also a hangout spot in our home, so i like to pause for conversation.
so i just reach into my pocket and tap power x2. no need to pull it out of my pocket. also useful when out on walks, etc.

but what if i could just slap my phone through the pocket to achieve the same thing -- with even less friction?
maybe the hardware's already there, i just need to monitor the microphone for "something which looks like a slap" and trigger the corresponding action.
but that's work, so maybe one of you will read this and do that work and write me about it :)

[SXMO]: https://sxmo.org/

### Doorknobs you can open with both hands full
well, these do exist in various forms.
but look at the word i just used for them: the door KNOB is so stupidly engrained in US home style, as if it doesn't SUCK.
as if i'm the only one who pours a bowl of cereal and a cup of coffee in the morning, to each in another room, and have to set one of them down just to enter the room?
(i'm not the only one: i've watched 20 others do that ritual every day at one my old workplaces).

do i install a crash-bar on my bedroom door? is that really the best society has to offer?

### A better way to open/close windows

maybe i'm unusual for opening/closing my windows every day.
or maybe i'm unusual for always placing my desk by the window (i think not).
but the result is that every day i do this awkward crawl-behind-my-desk thing to reach the window and shove it up/down.
somehow we've got this solved for blinds: i can pull the string to raise or lower them from 5 feet away.
somehow nobody's invented anything similar for the window pane itself.
though part of me worries that if we raised enough demand for something like this then if made today, the product would somehow involve an app 😕
