+++
template = "static.html"
title = "Websites I Like"
+++

## Communities

- [Archive of Our Own](https://archiveofourown.org)
- [// aNONradio //](https://anonradio.net)
- [radio free fedi](https://radiofreefedi.net)

## P2P Marketplaces

- [Crowdsupply](https://www.crowdsupply.com)
  <br />crowdsourcing for open hardware products.
- [tindie](https://www.tindie.com)
  <br />marketplace for DIY hardware products.

## Search Engines/Discovery

- [Marginalia](https://search.marginalia.nu)
  <br />a search-engine that defeats SEO by crawling strictly non-commercial content
- [wiby](https://wiby.me)
  <br />a human-curated search engine that crawls user-submitted sites. fewer SEO results and more personal blogs.
- [Curlie](https://www.curlie.org)
  <br />a human-edited, hierarchical directory of the www.
- [Lemmyverse.net](https://lemmyverse.net/communities)
  <br />an index for the [Lemmyverse](https://join-lemmy.org/).
  see also: [browse.feddit.de](https://browse.feddit.de/)
- [search.jabber.net](https://search.jabber.network)
  <br />XMPP chatroom browser and web client
- [Repology](https://repology.org/)
  <br />track packaging work across nearly every OS, subscribe to package updates.

## Topical/Curated

- [Linux Phone Apps](https://linuxphoneapps.org)
  <br />a directory for apps which run well on Linux phones.
- [Delightful Apps](https://delightful.club)
  <br />a curated, categorized list of open source projects. use this instead of searching "best Linux application for \<foo\>".
- [MuckRock](https://muckrock.com)
  <br />file Freedom Of Information Act (FOIA) requests with zero expertise through a competent non-profit team that handles the nitty-gritty.

### From the Firehose
- [Phoronix](https://www.phoronix.com/)
  <br />newsfeed for everything open source/adjacent
- [Hackaday](https://hackaday.com/blog/)
  <br />blogroll for every novel DIY build
- [Liliputing](https://liliputing.com)
  <br />newsfeed for every slightly novel hardware product

## Stylishly down the Rabbithole
- [the Jolly Contrarian](https://jollycontrarian.com)
- Devine Lu Linvega's [XXIIVV wiki](https://wiki.xxiivv.com)

## World's Finest Bloggers

- [Scott Alexander](https://astralcodexten.substack.com)
- [Sam Kriss](https://samkriss.substack.com)
- [Charlie Demerjian / SemiAccurate](https://semiaccurate.com)
- [Gwern](https://gwern.net)
- [Austin Vernon](https://austinvernon.site)

### Co-Conspirators

- [Continuous Wave](https://kernelpanic.cafe)

